Skip to content

/fal-ai/bytedance/seedream/v4/text-to-image

POST https://www.kkiai.com/fal-ai/bytedance/seedream/v4/text-to-image

Official Documentation: https://fal.ai/models/fal-ai/bytedance/seedream/v4/text-to-image

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Request Example

json
{
  "prompt": "Draw a chart showing the typical vegetation distribution in four different climate zones: tropical rainforest, temperate forest, desert, and tundra.",
  "image_size": {
    "height": 1280,
    "width": 1280
  },
  "num_images": 1,
  "enable_safety_checker": true
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/bytedance/seedream/v4/text-to-image' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "Draw a chart showing the typical vegetation distribution in four different climate zones: tropical rainforest, temperate forest, desert, and tundra.",
  "image_size": {
    "height": 1280,
    "width": 1280
  },
  "num_images": 1,
  "enable_safety_checker": true
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "acf05732-7cb3-445b-9f39-fdaeccb1d730",
    "response_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730",
    "status_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/status",
    "cancel_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}